/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once

#include <string>

#include <fmod.hpp>

namespace hny {

	class Audio
	{
	public:
		Audio(FMOD::System* system);
		~Audio();

		bool Audio::Load(const std::string& file, bool stream = false);

		void Play();
		void Pause();
		void Stop();

		void SetVolume(float volume);
		float GetVolume();

		bool IsPlaying();

		void SetLooping(bool loop);
		
	private:
		FMOD::System* mSystem;
		FMOD::Sound* mSound;
		FMOD::Channel* mChannel;

		bool mPlaying;
		float mVolume;
	};
}